Subject: bug#17205: 24.3.50; dired and directory variables

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Jan 2021 01:14:37 +0100

Michael Heerdegen <[email-masked]> writes:

>> Do all these cases work for you, too, in Emacs 28?
>
> All of my reported issues seem to be fixed indeed, thanks!  But a tiny
> thing remains: in the
>
> ((nil . ((a .  "hallo")
>          (subdirs . nil))))
>
> scenario, the variable `a' is not bound in the dired buffer for the
> directory the .dir-locals.el file lives in.  I would expect it to be.

[...]

> Seems that in this case this test (unexpectedly) fails:
>
>   (equal root default-directory)
>
> where in my case root --> /home/micha/ and default-directory --> "~/".

Yup; I was able to reproduce that, too, and slapping an expand-file-name
on default-directory fixed this.  So I think that's all in this bug
report (it doesn't sound like subdirs in .dir-locals.el is used a lot,
does it?), and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no